pull_request_rules:
  - name: merge automatically when CI passes and PR is approved
    conditions:
      - check-success = "gitlab-ci"
      - check-success = "nix (macos)"
      - check-success = "nix (ubuntu)"
      - check-success = "pre-commit.ci - pr"
      - or:
        - author = pre-commit-ci[bot]
        - author = dependabot[bot]
    actions:
      merge:
